Page MenuHomePhabricator

Support an "--active" flag for selecting active tasks
ClosedPublic

Authored by epriestley on Jan 23 2021, 12:10 AM.
Tags
None
Referenced Files
F13064545: D21517.diff
Sat, Apr 20, 5:30 PM
F13063516: D21517.diff
Sat, Apr 20, 10:25 AM
Unknown Object (File)
Fri, Apr 19, 9:08 PM
Unknown Object (File)
Thu, Apr 11, 8:56 AM
Unknown Object (File)
Mar 20 2024, 4:51 PM
Unknown Object (File)
Feb 16 2024, 6:41 AM
Unknown Object (File)
Jan 25 2024, 2:29 AM
Unknown Object (File)
Jan 5 2024, 1:16 PM
Subscribers
None

Details

Summary

Ref T13591. This is mostly a workaround for Big Sur not having pcntl/posix installed by default and the mess with M1 / Homebrew / SIP / Code Signing (see T13232) so I can't easily run actual daemons and need to fake them with bin/worker execute --active, but it's a reasonable flag on its own.

Test Plan
  • Ran bin/worker execute --active and bin/worker cancel --active.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Jan 23 2021, 3:51 AM
This revision was automatically updated to reflect the committed changes.